# batFramework & gamejam Project

Welcome to the `batFramework` and the accompanying `gamejam` project. This README provides an overview of both the game framework and the specific game project developed using the framework.

## batFramework

The `batFramework` is a Python game development framework based on pygame, designed to streamline the process of creating 2D games. It provides a set of tools and components to handle scenes, transitions, cutscenes, audio, sprites, and more. The framework is built with flexibility in mind, allowing you to focus on game design while abstracting away low-level details.

### Features

- Scene management
- Cutscene support
- Audio management (music and sound effects with volume control)
- Entity, sprite, and animated sprite handling
- Transition effects
- Utility modules (time management, constants, etc.)
- No external dependency except for pygame

###  Explore batFramework

1. Install Python (version 3.10 or higher) and the latest stable version of pygame-ce.
2. Clone or download this repository.
4. Explore the framework's modules in the `batFramework` directory and integrate them into your own game project.

For more detailed information on how to use the framework, refer to the documentation (if available) or explore the source code in the `batFramework` directory.

## gamejam Project

The `gamejam` project is a specific game developed using the `batFramework`. It serves as an example of how the framework can be used to create a game from scratch.

### Play the gamejam Project

1. Install Python (version 3.10 or higher) and the latest stable version of pygame-ce.
2. Clone or download this repository.
3. Navigate to the `gamejam` directory.
4. Run the game by executing the main script (e.g., `python main.py`).
5. Play the game and have fun!

Feel free to explore the code in the `gamejam` directory to see how the `batFramework` is utilized to create the game. You can modify, extend, or use the project as a starting point for your own games.


